Name:          xkeyboard-config
Version:       2.21
Release:       1mamba
Summary:       X Keyboard Configuration Database
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source:        ftp://ftp.x.org/pub/individual/data/xkeyboard-config/xkeyboard-config-%{version}.tar.bz2
License:       MIT
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:      xkbdata
Obsoletes:     xkbdata
Provides:      xorg-xkbdata
Obsoletes:     xorg-xkbdata

%description
The non-arch keyboard configuration database for X Window. The goal is to provide the consistent, well-structured, frequently released open source of X keyboard configuration data for X Window System implementations (free, open source and commercial). The project is targeted to XKB-based systems.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The non-arch keyboard configuration database for X Window. The goal is to provide the consistent, well-structured, frequently released open source of X keyboard configuration data for X Window System implementations (free, open source and commercial). The project is targeted to XKB-based systems.
This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%pre
# fix upgrade from xkbdata
[ -d %{_datadir}/X11/xkb/symbols/pc ] && \
   mv %{_datadir}/X11/xkb/symbols/pc /usr/share/X11/xkb/symbols/pc.rpmsave
exit 0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/X11/xkb/*
%{_mandir}/man7/xkeyboard-config.7*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/xkeyboard-config.pc
%doc ChangeLog NEWS README TODO

%changelog
* Sun Aug 13 2017 Automatic Build System <autodist@mambasoft.it> 2.21-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 2.20-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic version update by autodist

* Thu Jun 16 2016 Automatic Build System <autodist@mambasoft.it> 2.18-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic version update by autodist

* Fri Oct 16 2015 Automatic Build System <autodist@mambasoft.it> 2.16-1mamba
- automatic version update by autodist

* Thu May 28 2015 Automatic Build System <autodist@mambasoft.it> 2.15-1mamba
- automatic version update by autodist

* Thu Jan 29 2015 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Fri Jan 31 2014 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- update to 2.6

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Jun 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- package created by autospec
